module param
      implicit real (a-h,o-z)
      real, parameter ::  aka=.40e0
      real, parameter ::  ap0=.40e0
      real, parameter ::  g=9.81e0
      real, parameter ::  a0=1.15e0
      real, parameter ::  a6=3.5e0
      real, parameter ::  g4=16.0e0
      real, parameter ::  g10=16.0e0
      real, parameter ::  b4=4.7e0
      real, parameter ::  alfam=.0144e0
      real, parameter ::  betam=.111e0
      real, parameter ::  an=.000015e0
      real, parameter ::  p4=.71e0
      real, parameter ::  h1=10.0e0
      real, parameter ::  x8=16.3e0
      real, parameter ::  an1=5.0e0/6.0e0
      real, parameter ::  an2=.45e0
      real, parameter ::  al1=aka*p4
      real, parameter ::  g0=1.2
      real, parameter ::  al2=(.14e0*(30.0e0**an2))*(p4**.8e0)
      real, parameter ::  a2=alog(h1*(g/alfam))
      real, parameter ::  a3=betam*an*a2
      real, parameter ::  r0=.9e0/b4
!C*      real, parameter ::  AN5=(A6/A0)**4
!C*      real, parameter ::  D1=(2.0E0*G10-AN5*G4-SQRT((AN5*G4)**2+4.0E0*AN5*G10*(G10-G4)))/(2.0E0*G10**2)
!C*      real, parameter ::  Y10=(1.0E0-G4*D1)**.25E0
!C*      real, parameter ::  X10=(1.0E0-G10*D1)**.5E0
!C*      real, parameter ::  P1=2.0E0*ATAN(Y10)+ALOG((Y10-1.0E0)/(Y10+1.0E0))
!C*      real, parameter ::  P0=ALOG((X10-1.0E0)/(X10+1.0E0))
      
!      AN5=(A6/A0)**4
!      D1=(2.0E0*G10-AN5*G4-SQRT((AN5*G4)**2+4.0E0*AN5*G10*(G10-G4)))/(2.0E0*G10**2)
!      Y10=(1.0E0-G4*D1)**.25E0
!      X10=(1.0E0-G10*D1)**.5E0
!      P1=2.0E0*ATAN(Y10)+ALOG((Y10-1.0E0)/(Y10+1.0E0))
!      P0=ALOG((X10-1.0E0)/(X10+1.0E0))

end module PARAM









